Update Recipient
curl --request PUT \
--url https://staging.api.onenumber.africa/v1/recipients/{reference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.onenumber.africa/v1/recipients/{reference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.onenumber.africa/v1/recipients/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reference": "<string>",
"phoneNumber": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"statusCode": 123,
"message": "<string>",
"data": [
{
"reference": "<string>",
"phoneNumber": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}Recipient Groups
Update Recipient
PUT
/
recipients
/
{reference}
Update Recipient
Request Path Parameters
string
The reference of the Recipient.
Request Body Parameters
string
The reference of the Recipient.
string
The phone number of the Recipient.
string
The first name of the Recipient.
string
The last name of the Recipient.
string
The email of the Recipient.
Successful Response Data
int
required
The status of the response. For successful response, value is 201. Check the Response Codes page for details.
string
required
The message of the response.
⌘I
